aboutsummaryrefslogtreecommitdiff
path: root/uninstall.sh
diff options
context:
space:
mode:
authordec05eba <dec05eba@protonmail.com>2024-06-11 21:22:51 +0200
committerdec05eba <dec05eba@protonmail.com>2024-06-11 21:22:51 +0200
commitf1cc116af11d5f334609330dac6d3d22fa6ecee9 (patch)
tree9002c6e6a18d8fe4c6aa6687f2a068fbf28cbaff /uninstall.sh
parent5710cb1662d02432c68ce287624b3eadaa122d76 (diff)
Convert build script to meson
Diffstat (limited to 'uninstall.sh')
-rwxr-xr-xuninstall.sh32
1 files changed, 6 insertions, 26 deletions
diff --git a/uninstall.sh b/uninstall.sh
index 8e4d137..093002b 100755
--- a/uninstall.sh
+++ b/uninstall.sh
@@ -1,30 +1,10 @@
-#!/bin/sh
+#!/bin/sh -e
-[ $(id -u) -ne 0 ] && echo "You need root privileges to run the uninstall script" && exit 1
-
-rm -f "/usr/bin/gpu-screen-recorder-gtk"
-rm -f "/usr/share/applications/com.dec05eba.gpu_screen_recorder.desktop"
-rm -f "/usr/share/metainfo/com.dec05eba.gpu_screen_recorder.appdata.xml"
-
-rm -f "/usr/share/icons/hicolor/32x32/status/com.dec05eba.gpu_screen_recorder.tray-idle.png"
-rm -f "/usr/share/icons/hicolor/32x32/status/com.dec05eba.gpu_screen_recorder.tray-recording.png"
-rm -f "/usr/share/icons/hicolor/32x32/status/com.dec05eba.gpu_screen_recorder.tray-paused.png"
-rm -f "/usr/share/icons/hicolor/32x32/apps/com.dec05eba.gpu_screen_recorder.png"
+script_dir=$(dirname "$0")
+cd "$script_dir"
-rm -f "/usr/share/icons/hicolor/64x64/status/com.dec05eba.gpu_screen_recorder.tray-idle.png"
-rm -f "/usr/share/icons/hicolor/64x64/status/com.dec05eba.gpu_screen_recorder.tray-recording.png"
-rm -f "/usr/share/icons/hicolor/64x64/status/com.dec05eba.gpu_screen_recorder.tray-paused.png"
-rm -f "/usr/share/icons/hicolor/64x64/apps/com.dec05eba.gpu_screen_recorder.png"
-
-rm -f "/usr/share/icons/hicolor/128x128/status/com.dec05eba.gpu_screen_recorder.tray-idle.png"
-rm -f "/usr/share/icons/hicolor/128x128/status/com.dec05eba.gpu_screen_recorder.tray-recording.png"
-rm -f "/usr/share/icons/hicolor/128x128/status/com.dec05eba.gpu_screen_recorder.tray-paused.png"
-rm -f "/usr/share/icons/hicolor/128x128/apps/com.dec05eba.gpu_screen_recorder.png"
-
-rm -f "/usr/share/com.dec05eba.gpu_screen_recorder/tray-idle.png"
-rm -f "/usr/share/com.dec05eba.gpu_screen_recorder/tray-recording.png"
-rm -f "/usr/share/com.dec05eba.gpu_screen_recorder/tray-paused.png"
+[ $(id -u) -ne 0 ] && echo "You need root privileges to run the uninstall script" && exit 1
-rm -rf "/usr/share/com.dec05eba.gpu_screen_recorder"
+ninja -C build uninstall
-echo "Successfully uninstalled gpu-screen-recorder-gtk" \ No newline at end of file
+echo "Successfully uninstalled gpu-screen-recorder-gtk"